package kccf.ton.service.impl;

import java.util.List;

import org.springframework.dao.DataAccessException;
import org.springframework.stereotype.Repository;

import cmm.service.CmmActivityHstVO;
import cmm.service.CmmAmsAssetMediaVO;
import cmm.util.DataMap;
import egovframework.com.cmm.service.impl.EgovComAbstractDAO;


@Repository("localToonDAO")
public class LocalToonDAO  extends EgovComAbstractDAO{
	
	@SuppressWarnings("unchecked")
	public List<CmmAmsAssetMediaVO> selectLocalToonTopList(CmmAmsAssetMediaVO param) throws DataAccessException {
        return (List<CmmAmsAssetMediaVO>)list("localToonDAO.selectLocalToonTopList", param);
    }

	@SuppressWarnings("deprecation")
	public int selectLocalToonListTotCnt(CmmAmsAssetMediaVO param) throws DataAccessException{
        //return (Integer)getSqlMapClientTemplate().queryForObject("localToonDAO.selectLocalToonListTotCnt", param);
        return 0;  // DDDDDDDDD 임시 리턴값 처리 (2021.08.13)
    }
	@SuppressWarnings("unchecked")
	public List<CmmAmsAssetMediaVO> selectLocalToonList(CmmAmsAssetMediaVO param) throws DataAccessException {
        return (List<CmmAmsAssetMediaVO>)list("localToonDAO.selectLocalToonList", param);
    }
	@SuppressWarnings("unchecked")
	public List<CmmActivityHstVO> selectLocalToonOpenPageList(CmmActivityHstVO cmmActivityHstVO) throws DataAccessException {
		return (List<CmmActivityHstVO>)list("localToonDAO.selectLocalToonOpenPageList",cmmActivityHstVO);
	}
	@SuppressWarnings("unchecked")
	public List<CmmActivityHstVO> selectLocalToonOpenPageHotList(CmmActivityHstVO cmmActivityHstVO) throws DataAccessException {
		return (List<CmmActivityHstVO>)list("localToonDAO.selectLocalToonOpenPageHotList",cmmActivityHstVO);
	}
	public CmmAmsAssetMediaVO selectLocalToonDetail(CmmAmsAssetMediaVO param) throws DataAccessException{
		//return (CmmAmsAssetMediaVO)select("localToonDAO.selectLocalToonDetail", param);
		return null; // DDDDDDDDD 임시 리턴값 처리 (2021.08.13)
	}
	@SuppressWarnings("deprecation")
	public int selectLocalToonDetailListTotCnt(CmmAmsAssetMediaVO param) throws DataAccessException{
        //return (Integer)getSqlMapClientTemplate().queryForObject("localToonDAO.selectLocalToonDetailListTotCnt", param);
        return 0; // DDDDDDDDD 임시 리턴값 처리 (2021.08.13)
    }
	@SuppressWarnings("unchecked")
	public List<DataMap> selectLocalToonDetailList(CmmAmsAssetMediaVO param) throws DataAccessException {
        return (List<DataMap>)list("localToonDAO.selectLocalToonDetailList", param);
    }
	@SuppressWarnings("unchecked")
	public List<CmmActivityHstVO> selectLocalToonOpenPageDetailList(CmmActivityHstVO cmmActivityHstVO) throws DataAccessException {
		return (List<CmmActivityHstVO>)list("localToonDAO.selectLocalToonOpenPageDetailList",cmmActivityHstVO);
	}
	@SuppressWarnings("unchecked")
	public List<DataMap> selectLocalToonDetailListAll(CmmAmsAssetMediaVO param) throws DataAccessException {
        return (List<DataMap>)list("localToonDAO.selectLocalToonDetailListAll", param);
    }
}
